load pidraws_bc.mat;

[nsim nvar2] = size(data);
nvar = sqrt(nvar2);

rk = 1;

apost = [];
bpost = [];

for jj = 1:nsim;
    pimat = reshape(data(jj,:),nvar,nvar);
    [u,s,v] = svd(pimat);

	alpha = u(1:rk,1:rk)*s(1:rk,1:rk)*[v(1:rk,1:rk)' v(rk+1:nvar,1:rk)'];
	beta = [eye(rk) [u(rk+1:nvar,1:rk)*inv(u(1:rk,1:rk))]'];
    
    apost = [apost; alpha];
    bpost = [bpost; beta];
end
    
        
