
proc(1)=priorhgt(h,S,P,A,noi);

local i,j,gewicht,sigma,pitr,k,kk,u,ss,v,b2,l,a2,cc,lhat,mat1,mat2,gew,aa1,
        btr,thtr,blr,thlr,bn,thn,rej,tmp,ainv,atr,
      dif1,dif2,dif3,dif4,difa,difb,aa,bb,a1,b1,th2,alr,cor,tim,tmp1;

kk=rows(P);
k=cols(P);


@ initialisation @
gewicht=zeros(1,k);
Ainv=inv(A);

i=1;
do while i<=noi;

    if i%25==0;
        i;
    endif;

    @ draw Sigma @

    Sigma=rndinvw(k,h);
    Sigma=chol(S)'Sigma*chol(S);

    @ draw Pi @
    pitr=chol(Ainv)'rndn(kk,k)*chol(Sigma)+P;

    {u,ss,v}=svd1(pitr);

    j=0;
    do while j<k;

       if j==0; @ no cointegration rank = k @

        gewicht[j+1]=gewicht[j+1]+exp(-0.5*k*ln(det(Sigma))-
                   0.5*sumc(diag(invpd(Sigma)*(P'A*P)))
                     +0.5*kk*ln(det(A)))*(2*pi)^(-0.5*k*kk);


       else;   @ cointegration rank = j @

           b2=-u[j+1:kk,1:j]*inv(u[1:j,1:j]);
           l=inv(powhalf((u[j+1:kk,j+1:kk]*u[j+1:kk,j+1:kk]')))
             *u[j+1:kk,j+1:kk]*ss[j+1:kk,j+1:k]*v[j+1:k,j+1:k]'
               *inv(powhalf(v[j+1:k,j+1:k]*v[j+1:k,j+1:k]'));
           a2=(u[1:j,1:j])*ss[1:j,1:j]*v[j+1:k,1:j]';
           aa1=(u[1:j,1:j])*ss[1:j,1:j]*v[1:j,1:j]';
           th2=-inv(aa1)*a2;

           atr=aa1~a2;
           btr=eye(j)|(-b2);
           thtr=(eye(j)~(-th2));

           blr=(b2')|eye(kk-j);
           thlr=(th2')~eye(k-j);

           bn=powhalf(eye(kk-j)+b2*b2');
           thn=powhalf(eye(k-j)+th2'th2);

           thlr=invpd(thn)*thlr;
           blr=blr*invpd(bn);
           alr=thlr;

           dif1=((eye(j)|zeros(k-j,j)).*.eye(k-j))*commut(k-j,j);
           dif2=-(invpd(thn)').*.(invpd(thn));
           dif3=invpd(((thn').*.eye(k-j))+(eye(k-j).*.thn));
           dif4=(eye(k-j).*.(th2'))+((th2').*.eye(k-j))*commut(k-j,j);

           difa=(eye(k).*.invpd(thn))*dif1+((th2|eye(k-j)).*.eye(k-j))
             *dif2*dif3*dif4;

           dif1=(eye(kk-j).*.(eye(j)|zeros(kk-j,j)))*commut(kk-j,j);
           dif2=-((invpd(bn)').*.invpd(bn));
           dif3=invpd(((bn').*.eye(kk-j))+(eye(kk-j).*.(bn)));
           dif4=(b2.*.eye(kk-j))+(eye(kk-j).*.b2)*commut(kk-j,j);

           difb=((invpd(bn)').*.eye(kk))*dif1+
                       (eye(kk-j).*.(((b2)~eye(kk-j))'))*dif2*dif3*dif4;

           AA=-((thtr'aa1').*.(zeros(j,kk-j)|eye(kk-j)));
           A1=((thlr'l').*.eye(kk))*difb;

           BB=-((zeros(j,k-j)|eye(k-j)).*.(btr*aa1));
           B1=(eye(k).*.(blr*l))*difa;

           CC=((thtr').*.btr)~((thlr').*.blr);

           cor=det(AA~BB~CC)/det((AA+A1)~(BB+B1)~CC);

           mat1=blr'A*blr;
           mat2=(alr*invpd(Sigma)*alr');

           lhat=invpd(mat1)*blr'(A*(P-btr*atr))*invpd(Sigma)*alr'invpd(mat2);
           gew=(mat1*(lhat)*(mat2)*(lhat)');

           gewicht[j+1]=gewicht[j+1]+exp(ln(abs(cor))-0.5*sumc(diag(gew))
                 +0.5*(kk-j)*ln(det(mat1))+0.5*(k-j)*ln(det(mat2)))*
                 (2*pi)^(-0.5*rows(lhat)*cols(lhat));


       endif;
       j=j+1;
    endo;
    i=i+1;
endo;

tmp1=pdfmt(zeros(kk,k),P,S,inv(A),h);
tmp=(gewicht/noi)';
tmp=tmp1|tmp[2:rows(tmp)];

retp(tmp);
endp;

